Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.component
Interface ComponentManager

All Known Implementing Classes:
  DefaultComponentManager

    public interface ComponentManager

A component manager is the entry point through which the handlers for a single component type can be accessed.

Version:
  $Id: ComponentManager.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `ComponentsEnvironment.getComponentManager(ComponentKey)`, `ComponentsBundle.getComponentManager(String)`

Method Summary
`ComponentCompiler` | `getComponentCompiler()` Returns the component compiler.
`ComponentFillFactory` | `getComponentFillFactory()` Returns the factory of fill component instances.
`ComponentXmlWriter` | `getComponentXmlWriter()` Returns the component XML writer.
`ComponentDesignConverter` | `getDesignConverter()` Returns the design component preview converter.

Method Detail

### getComponentCompiler

    ComponentCompiler getComponentCompiler()

  Returns the component compiler.

  Returns:
    the component compiler

### getComponentXmlWriter

    ComponentXmlWriter getComponentXmlWriter()

  Returns the component XML writer.

  Returns:
    the component XML writer

### getComponentFillFactory

    ComponentFillFactory getComponentFillFactory()

  Returns the factory of fill component instances.

  Returns:
    the factory of fill component instances

### getDesignConverter

    ComponentDesignConverter getDesignConverter()

  Returns the design component preview converter.

  May be `null`, in which case a static icon is used when previewing a report that contains an instance of the component.

  Returns:
    the design component preview converter, or `null` if no such converter exists for the component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com